package org.springblade.imports.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springblade.imports.entity.ImpUnicomArpuDou;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Component
public class EasyExcelListener extends AnalysisEventListener<ImpUnicomArpuDou> {

	public List<ImpUnicomArpuDou> list = new ArrayList<ImpUnicomArpuDou>();


	public EasyExcelListener() {
	}


	@Override
	public void invoke(ImpUnicomArpuDou t, AnalysisContext analysisContext) {
		list.add(t);
	}

	@Override
	public void doAfterAllAnalysed(AnalysisContext analysisContext) {
	}


}
